' FFSubmenu=IPTC
' FFName=Beschreib-fix
' FFScriptFiles=
' FFScriptDirectory=beschreibfix
' FFScriptProfile=Beschreibfix
' Eintragen einer Bildbeschreibung in die IPTC-Daten, optional auch in die EXIF-Daten und JPEG-Kommentar 
' optional Eintrag eines IPTC-Schlagwortes zur Kennzeichnung herausragender Bilder 
' KGsoft (praetor), 
' Version 1.4 vom 18.09.2011
' Version 1.5 vom 26.01.2014	Rating-Informationen lesen und schreiben
' Version 1.6 vom 27.01.2014	Fehlerbehebung
' Version 1.7 vom 05.04.2014	Rating-Informaton wird bei <alle weiteren Bilder> nur beim ersten Bild geschrieben
' Version 1.8 vom 05.05.2014	Korrektur der Anleitung

Option Explicit
Const Version = "V 1.8"
Const RegSchluessel = "Beschreibfix"	' Registryschlssel

Dim Taste
Dim TypQuelle
Dim ListeBilder					' Array mit den Bildern, Index startet bei 0
Dim AnzahlBilder				' reale Anzahl - 1, da Beginn bei 0
Dim BldNummer
Dim Exif_Beschreibung
Dim RatingStern, RatingProzent	' Ratinginfos
Dim Ratingflag
Dim Jpeg_Kommentar
Dim x
Dim Taste1
Dim Breite, Laenge, BreiteGeo, LaengeGeo
Dim Schlagworte
Dim i, restbilder
Dim g_XUnits, g_YUnits

Dim static_nach
Dim static_akut
Dim static_erled
static_nach = "|"
static_akut = "||"
static_erled = "|||"

Dim flag1, flag2, flag3, flag4, flag5
flag1 = 0
flag2 = 0
flag3 = 0
flag4 = 0
flag5 = 0

' fr Hilfe
Dim Taste2
Dim objFs, Kurzbeschreibung, KBvorhanden, LaengeMax
Dim WshShell
const SkriptName = "beschreibfix.vbs"			' Skriptname

Call Dialog
Call RegLesen

' Startwerte
FF_SetControl "Beschreib-fix","img_back", FF_GetScriptPath & "\back.jpg"

If FF_GetImageCount > 0 Then		' min. ein Bild in der Computeransicht markiert.
	FF_SetControl "Beschreib-fix","combo_quelle", "Computer-Ansicht, markierte Bilder"
	TypQuelle = 1
Else								' keine Bilder markiert
	FF_SetControl "Beschreib-fix","combo_quelle", "Computer-Ansicht, alle Bilder"
	TypQuelle = 0
End If
FF_EnableControl "Beschreib-fix",">",False
FF_EnableControl "Beschreib-fix",">> +10",False
FF_EnableControl "Beschreib-fix","<",False
FF_EnableControl "Beschreib-fix","<< -10",False

Call Versionskontrolle
Call Bilder_einlesen
Call Main

Sub Main()
REM msgbox RatingProzent
	FF_SetDialogTimer "Beschreib-fix", 100 
	do								' Auswertung Button im Dialog
		Taste = FF_ShowDialog("Beschreib-fix")
		Select Case Taste
			Case "TIMER"							' so kann STATIC ohne Interaktion gesetzt werden, Rating-Prozentangabe fr erstes Bild setzen wenn 
				If Len(RatingProzent) < 1 Then		' keine Rating-Info oder gar kein EXIF-Bock
					FF_SetControl "Beschreib-fix", "rat_static", ""
				Else
					FF_SetControl "Beschreib-fix", "rat_static", RatingProzent & "%"
				End If
				FF_SetDialogTimer "Beschreib-fix", 0 
			Case "combo_quelle"
				Select Case FF_GetControl ("Beschreib-fix", "combo_quelle")
					Case "Computer-Ansicht, alle Bilder"
						TypQuelle = 0
						Call Bilder_einlesen
					Case "Computer-Ansicht, markierte Bilder"
						TypQuelle = 1
						Call Bilder_einlesen
					Case "Bilderliste, alle Bilder"
						TypQuelle = 2
						Call Bilder_einlesen
					Case "Bilderliste, markierte Bilder"
						TypQuelle = 3
						Call Bilder_einlesen
				End Select
			Case "rat1_img"
				if FF_GetControl ("Beschreib-fix", "rat1_img") = FF_GetScriptPath & "\stern_leer.png" Then
					FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "1 %"
					RatingStern = 1
					RatingProzent = 1 
				Else
					FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", ""
					RatingStern = 0
					RatingProzent = 0
				End If
			Case "rat2_img"
				if FF_GetControl ("Beschreib-fix", "rat2_img") = FF_GetScriptPath & "\stern_leer.png" Then
					FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "25 %"
					RatingStern = 2
					RatingProzent = 25
				Else
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "1 %"
					RatingStern = 1
					RatingProzent = 1
				End If
			Case "rat3_img"
				if FF_GetControl ("Beschreib-fix", "rat3_img") = FF_GetScriptPath & "\stern_leer.png" Then
					FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "50 %"
					RatingStern = 3
					RatingProzent = 50
				Else
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "25 %"
					RatingStern = 2
					RatingProzent = 25
				End If
			Case "rat4_img"
				if FF_GetControl ("Beschreib-fix", "rat4_img") = FF_GetScriptPath & "\stern_leer.png" Then
					FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "75 %"
					RatingStern = 4
					RatingProzent = 75
				Else
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "50 %"
					RatingStern = 3
					RatingProzent = 50
				End If
			Case "rat5_img"
				if FF_GetControl ("Beschreib-fix", "rat5_img") = FF_GetScriptPath & "\stern_leer.png" Then
					FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_voll.png"
					FF_SetControl "Beschreib-fix", "rat_static", "100 %"
					RatingStern = 5
					RatingProzent = 100
				Else
					FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
					FF_SetControl "Beschreib-fix", "rat_static", "75 %"
					RatingStern = 4
					RatingProzent = 75
				End If	
			Case ">"
				BldNummer = BldNummer+1
				FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
				Call LoadThumb (ListeBilder(BldNummer))
				FF_SetControl "Beschreib-fix","img_akut", 2
				FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))				
				Call Daten_einlesen
				FF_PushImage
				Call LoadThumb (ListeBilder(BldNummer -1))
				FF_SetControl "Beschreib-fix","img_erledigt", 1
				FF_SetControl "Beschreib-fix",static_erled, bname(ListeBilder(BldNummer-1))
				'Freigaben bzw. Sperren der Tasten < und >
				FF_EnableControl "Beschreib-fix","<",true
				FF_EnableControl "Beschreib-fix","<< -10",true
				if BldNummer = AnzahlBilder then					' letztes Bild
					FF_EnableControl "Beschreib-fix",">",false
					FF_EnableControl "Beschreib-fix",">> +10",false
					FF_SetControl "Beschreib-fix","img_nachfolgend", ""
					FF_SetControl "Beschreib-fix",static_nach, ""
					FF_PushImage
				Else
					FF_PushImage
					Call LoadThumb (ListeBilder(BldNummer+1))
					FF_SetControl "Beschreib-fix","img_nachfolgend", 0
					FF_SetControl "Beschreib-fix",static_nach, bname(ListeBilder(BldNummer+1))
				end if	
			Case ">> +10"
				BldNummer = BldNummer+10
				if BldNummer > AnzahlBilder then BldNummer = AnzahlBilder
				FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
				Call LoadThumb (ListeBilder(BldNummer))
				FF_SetControl "Beschreib-fix","img_akut", 2
				FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))
				Call Daten_einlesen
				FF_PushImage
				Call LoadThumb (ListeBilder(BldNummer-1))
				FF_SetControl "Beschreib-fix","img_erledigt", 1
				FF_SetControl "Beschreib-fix",static_erled, bname(ListeBilder(BldNummer-1))
				'Freigaben bzw. Sperren der Tasten < und >
				FF_EnableControl "Beschreib-fix","<",true
				FF_EnableControl "Beschreib-fix","<< -10",true
				if BldNummer = AnzahlBilder then
					FF_EnableControl "Beschreib-fix",">",false
					FF_EnableControl "Beschreib-fix",">> +10",false
					FF_SetControl "Beschreib-fix","img_nachfolgend", ""
					FF_SetControl "Beschreib-fix",static_nach, ""
					FF_PushImage
				Else
					FF_PushImage
					Call LoadThumb (ListeBilder(BldNummer+1))
					FF_SetControl "Beschreib-fix","img_nachfolgend", 0
					FF_SetControl "Beschreib-fix",static_nach, bname(ListeBilder(BldNummer+1))
				end if
			Case "<"
				BldNummer = BldNummer-1
				Call LoadThumb (ListeBilder(BldNummer))
				FF_SetControl "Beschreib-fix","img_akut", 2
				FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))
				Call Daten_einlesen
				FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
				FF_PushImage
				Call LoadThumb (ListeBilder(BldNummer+1))
				FF_SetControl "Beschreib-fix","img_nachfolgend", 1
				FF_SetControl "Beschreib-fix",static_nach, bname(ListeBilder(BldNummer+1))
				'Freigaben bzw. Sperren der Tasten < und >
				FF_EnableControl "Beschreib-fix",">",true
				FF_EnableControl "Beschreib-fix",">> +10",true
				if BldNummer = 0 then						' erstes Bild
					FF_EnableControl "Beschreib-fix","<",false
					FF_EnableControl "Beschreib-fix","<< -10",false
					FF_SetControl "Beschreib-fix","img_erledigt", ""
					FF_SetControl "Beschreib-fix",static_erled, ""
					FF_PushImage
				Else
					FF_PushImage
					Call LoadThumb (ListeBilder(BldNummer-1))
					FF_SetControl "Beschreib-fix","img_erledigt", 0
					FF_SetControl "Beschreib-fix",static_erled, bname(ListeBilder(BldNummer-1))
				end if	
			Case "<< -10"
				BldNummer = BldNummer-10
				if BldNummer < 1 then BldNummer = 0
				Call LoadThumb (ListeBilder(BldNummer))
				FF_SetControl "Beschreib-fix","img_akut", 2
				FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))
				Call Daten_einlesen
				FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
				FF_PushImage
				Call LoadThumb (ListeBilder(BldNummer+1))
				FF_SetControl "Beschreib-fix","img_nachfolgend", 1
				FF_SetControl "Beschreib-fix",static_nach, bname(ListeBilder(BldNummer+1))
				'Freigaben bzw. Sperren der Tasten < und >
				FF_EnableControl "Beschreib-fix",">",true
				FF_EnableControl "Beschreib-fix",">> +10",true
				if BldNummer = 0 then
					FF_EnableControl "Beschreib-fix","<< -10",false
					FF_EnableControl "Beschreib-fix","<",false
					FF_SetControl "Beschreib-fix","img_erledigt", ""
					FF_SetControl "Beschreib-fix",static_erled, ""
					FF_PushImage
				Else
					FF_PushImage
					Call LoadThumb (ListeBilder(BldNummer-1))
					FF_SetControl "Beschreib-fix","img_erledigt", 0
					FF_SetControl "Beschreib-fix",static_erled, bname(ListeBilder(BldNummer-1))
				end if	
			Case "&1"
				FF_SetControl "Beschreib-fix","edit_bild", FF_GetControl ("Beschreib-fix","edit_hist1")
			Case "&2"
				FF_SetControl "Beschreib-fix","edit_bild", FF_GetControl ("Beschreib-fix","edit_hist2")
			Case "&3"
				FF_SetControl "Beschreib-fix","edit_bild", FF_GetControl ("Beschreib-fix","edit_hist3")
			Case "&F"
				FF_SetControl "Beschreib-fix","edit_bild", FF_GetControl ("Beschreib-fix","edit_fest")
			Case "->F"
				FF_SetControl "Beschreib-fix","edit_fest", FF_GetControl ("Beschreib-fix","edit_bild")
			Case "Vollbild"
				Call Vollbild
			Case "Karte"
				Call Googlemaps
			Case "bool_jpeg"
				if FF_GetControl("Beschreib-fix","bool_jpeg") = "1" Then
					x = MsgBox("Um einen JPEG-Kommentar zu schreiben, muss das Bild neu gespeichert werden. Das bedeutet zwangslufig einen gewissen Qualittsverlust." & vbNewLine & vbNewLine & "Option tatschlich aktivieren?", 36)
				End If
				if x = 7 Then		' nein
					FF_SetControl "Beschreib-fix","bool_jpeg", "0"
				End If
			Case "&Speichern && weiter"
				Ratingflag = True		' ntig, damit bei Mehrfachspeicherung nur das erste Bild ein Ranking erhlt
				if FF_GetControl ("Beschreib-fix","alle_bool") = 0 or AnzahlBilder = 0 Then		' alle Bilder ist NICHT markiert oder nur ein Bild
					if BldNummer = AnzahlBilder Then	' letzes Bild
						Call Daten_schreiben
						Call Daten_einlesen
					Else 								' noch mind. ein Bild zu bearbeiten
						Call Daten_schreiben
						BldNummer = BldNummer+1
						FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
						Call LoadThumb (ListeBilder(BldNummer))	' Laden in Fehlerschleife, um Zugriffsprobleme zu umgehen
						FF_SetControl "Beschreib-fix","img_akut", 2
						FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))				
						Call Daten_einlesen
						FF_PushImage
						Call LoadThumb (ListeBilder(BldNummer -1))	' Laden in Fehlerschleife, um Zugriffsprobleme zu umgehen
						FF_SetControl "Beschreib-fix","img_erledigt", 1
						FF_SetControl "Beschreib-fix",static_erled, bname(ListeBilder(BldNummer-1))
						'Freigaben bzw. Sperren der Tasten < und >
						FF_EnableControl "Beschreib-fix","<",true
						FF_EnableControl "Beschreib-fix","<< -10",true
						if BldNummer = AnzahlBilder then					' letztes Bild
							FF_EnableControl "Beschreib-fix",">",false
							FF_EnableControl "Beschreib-fix",">> +10",false
							FF_SetControl "Beschreib-fix","img_nachfolgend", ""
							FF_SetControl "Beschreib-fix",static_nach, ""
							FF_PushImage
						Else
							FF_PushImage
							Call LoadThumb (ListeBilder(BldNummer+1))	' Laden in Fehlerschleife, um Zugriffsprobleme zu umgehen
							FF_SetControl "Beschreib-fix","img_nachfolgend", 0
							FF_SetControl "Beschreib-fix",static_nach, bname(ListeBilder(BldNummer+1))
						End If
					End If
				Else					' alle Bilder ist markiert
					restbilder = AnzahlBilder - BldNummer
					if msgbox("Sollen die Bilder " & BldNummer + 1 & " bis " & AnzahlBilder + 1 & " tatschlich alle mit der selben Beschriftung versehen werden?" & vbNewLine & vbNewLine & "Der Rating-Wert wird nur fr das erste Bild gesetzt.", 36) = 6 Then
						for i = BldNummer to AnzahlBilder					' alles Restbilder bearbeiten
							BldNummer = i
							
							Call Daten_schreiben
							Call Daten_einlesen
							
							FF_SetControl "Beschreib-fix", "sledit_bildzahl", i + 1 & " / " & AnzahlBilder + 1
							FF_RefreshDialog "Beschreib-fix"
							FF_SetProgress i, restbilder
							FF_SetProgressText i, restbilder, ListeBilder(i)
						Next
					
						REM FF_SetProgress 0, 0
						REM FF_SetProgressText 0, 0, " "		' Fortschrittsbalken auf 0 setzen
						
						BldNummer = AnzahlBilder 			' Zhler fr weitere Bearbeitung auf korrekten Wert setzen
						Call LoadThumb (ListeBilder(BldNummer -1))
						FF_PushImage
						Call LoadThumb (ListeBilder(BldNummer))
						FF_SetControl "Beschreib-fix","img_akut", 0
						FF_SetControl "Beschreib-fix","img_erledigt", 1
						FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))
						FF_SetControl "Beschreib-fix",static_erled, bname(ListeBilder(BldNummer-1))
						REM FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
						FF_EnableControl "Beschreib-fix","<",true
						FF_EnableControl "Beschreib-fix","<< -10",true
						FF_EnableControl "Beschreib-fix",">",false
						FF_EnableControl "Beschreib-fix",">> +10",false
						FF_SetControl "Beschreib-fix","img_nachfolgend", ""
						FF_SetControl "Beschreib-fix",static_nach, ""
					End If
					FF_SetControl "Beschreib-fix","alle_bool", 0		' Option wieder ausschalten
				End If
			Case "Beenden"
				Call RegSchreiben
				Exit Sub
			Case "CANCEL"
				Call RegSchreiben
				Exit Sub
			Case "?"
				Call Help
		End Select
	loop
End Sub

Sub Bilder_einlesen
	'Bilder in Array eintragen
	AnzahlBilder = -1
	ListeBilder = split(FF_GetSelection(TypQuelle), vbNewLine)	
	AnzahlBilder = ubound(ListeBilder)
	FF_SetControl "Beschreib-fix","img_nachfolgend", ""
	FF_SetControl "Beschreib-fix","img_akut", ""
	FF_SetControl "Beschreib-fix","img_erledigt", ""
	FF_SetControl "Beschreib-fix", "sledit_bildzahl", ""
	
	FF_EnableControl "Beschreib-fix",">",False
	FF_EnableControl "Beschreib-fix",">> +10",False
	FF_EnableControl "Beschreib-fix","<",False
	FF_EnableControl "Beschreib-fix","<< -10",False
	
	' # aktuelles Bild, Flag 1 und 4
	if AnzahlBilder > -1 then			' mind. ein Bild
		BldNummer = 0
		FF_SetControl "Beschreib-fix", "sledit_bildzahl", BldNummer + 1 & " / " & AnzahlBilder + 1
		FF_LoadThumb ListeBilder(BldNummer)
		if AnzahlBilder = 0 then
			FF_SetControl "Beschreib-fix","img_akut", 0		'org: 1
		else 
			FF_SetControl "Beschreib-fix","img_akut", 1
		End If
		if flag4 = 0 Then				' nur beim ersten Aufruf Dialog ergnzen #########
			static_akut = bname(ListeBilder(BldNummer))
			FF_AddControl "Beschreib-fix",static_akut,"STATIC",3,165,82,10
			flag4 = 1
		Else
			FF_SetControl "Beschreib-fix",static_akut, bname(ListeBilder(BldNummer))
		End If
		Call Daten_einlesen
	Else
		if flag1 = 0 and flag4 = 0 Then		' erster Aufruf berhaupt und noch nichts eingelesen
			FF_AddControl "Beschreib-fix",static_akut,"STATIC",3,165,82,10
			flag1 = 1
			flag4 = 1
		End If
		if flag4 = 1 then FF_SetControl "Beschreib-fix",static_akut, ""
	End If
	
	' # nchstes Bild, Flag 3 und 5
	if AnzahlBilder > 0 then			' mehr als ein Bild
		FF_PushImage
		FF_LoadThumb ListeBilder(1)
		FF_SetControl "Beschreib-fix","img_nachfolgend", 0
			if flag3 = 0 then 	' nur beim ersten Aufruf Dialog ergnzen
				static_nach = bname(ListeBilder(1))
				FF_AddControl "Beschreib-fix",static_nach,"STATIC",3,66,82,10
				flag3 = 1
			Else
				FF_SetControl "Beschreib-fix",static_nach, bname(ListeBilder(1))
			End If
		FF_EnableControl "Beschreib-fix",">",True
		FF_EnableControl "Beschreib-fix",">> +10",True
	Else
		if flag3 = 0 and flag5 = 0 then 
			FF_AddControl "Beschreib-fix",static_nach,"STATIC",3,66,82,10
			flag3 = 1
			flag5 = 1
		End If
			if flag5 = 1 then FF_SetControl "Beschreib-fix",static_nach, ""
	End If
	
	' # erledigtes Bild, Flag 2
	if flag2 = 0 Then			' nur beim ersten Aufruf Dialog ergnzen
		FF_AddControl "Beschreib-fix",static_erled,"STATIC",3,242,82,10
		flag2 = 1
	End If
	
End Sub

Sub LoadThumb (Bild) 
	on error resume next
	do
	FF_LoadThumb Bild	' Laden in Fehlerschleife, um Zugriffsprobleme zu umgehen
		if err.number=0 then exit do
		err.clear
	loop
	on error goto 0
End Sub

Sub Daten_einlesen
	FF_LoadIPTC(ListeBilder(BldNummer))
	FF_SetControl "Beschreib-fix", "edit_bild", FF_GetIPTC("Caption/Abstract")
	Schlagworte = ""
	Schlagworte = FF_GetIPTC("Keywords")
	If FF_HasExifInFile(ListeBilder(BldNummer)) Then
		FF_LoadExif (ListeBilder(BldNummer))
		Breite = ""
		Laenge = ""
		Breite = FF_GetExifTag("Latitude")
		Laenge = FF_GetExifTag("Longitude")
		if Breite = "" Then			' keine Geo-Daten
			FF_EnableControl "Beschreib-fix","Karte", False
		Else
			FF_EnableControl "Beschreib-fix","Karte", True
		End If
		Exif_Beschreibung = FF_GetExifTag("ImageDescription")
		FF_SetControl "Beschreib-fix", "edit_exif", Exif_Beschreibung
		RatingStern = FF_GetExifTag("Rating")
		RatingProzent = FF_GetExifTag("RatingPercent")
		REM msgbox "##RatingStern: " & RatingStern & vbNewLine & "##RatingProzent: " & RatingProzent
		Select Case RatingStern		'RatingProzent fr ERSTES Bild wird zu Beginn der Dialogschleife gesetzt (STATIC)!
			Case "", "0"
				FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat_static", ""
			Case "1"
				FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat_static", RatingProzent & "%"
			Case "2"
				FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat_static", RatingProzent & "%"
			Case "3"
				FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat_static", RatingProzent & "%"
			Case "4"
				FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
				FF_SetControl "Beschreib-fix", "rat_static", RatingProzent & "%"
			Case "5"
				FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_voll.png"
				FF_SetControl "Beschreib-fix", "rat_static", RatingProzent & "%"
		End Select	
	Else						' Rating-Bereich zurcksetzen
		FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_leer.png"
		FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
		FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
		FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
		FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
		FF_SetControl "Beschreib-fix", "rat_static", ""
	End If
	
	Select Case FF_IdentifyImage(ListeBilder(BldNummer))
		Case 4, 6			' TIFF
			FF_SetControl "Beschreib-fix","img_iptc", FF_GetScriptPath & "\on.jpg" 
			FF_SetControl "Beschreib-fix","img_exif", FF_GetScriptPath & "\off.jpg"
			FF_SetControl "Beschreib-fix","img_jpeg", FF_GetScriptPath & "\off.jpg"
 		Case 2				' JPG
			FF_SetControl "Beschreib-fix","img_iptc", FF_GetScriptPath & "\on.jpg" 
			FF_SetControl "Beschreib-fix","img_exif", FF_GetScriptPath & "\on.jpg"
			FF_SetControl "Beschreib-fix","img_jpeg", FF_GetScriptPath & "\on.jpg"
		case Else			' alle anderen Formate
			FF_SetControl "Beschreib-fix","img_iptc", FF_GetScriptPath & "\off.jpg" 
			FF_SetControl "Beschreib-fix","img_exif", FF_GetScriptPath & "\off.jpg"
			FF_SetControl "Beschreib-fix","img_jpeg", FF_GetScriptPath & "\off.jpg"
	End Select
End Sub

Sub Vollbild
	Call Get_Dialogunits(g_XUnits,g_YUnits)
	'Dialog Vollbild
	FF_AddDialog "Vollbild", g_XUnits-10, g_YUnits - 35
	FF_AddControl "Vollbild","img_voll","IMAGE",0 ,0 ,g_XUnits-10, g_YUnits - 50
	FF_AddControl "Vollbild","Schlieen","BUTTON", g_XUnits-55, g_YUnits-48, 40, 11
	FF_AddControl "Vollbild",bname(ListeBilder(BldNummer)),"STATIC",4,g_YUnits-48,243,11
	FF_SetControl "Vollbild", "img_voll", ListeBilder(BldNummer)
	do								' Auswertung Button im Dialog
		Taste1 = FF_ShowDialog("Vollbild")
		Select Case Taste1
			Case "Schlieen", "CANCEL"
				FF_CloseDialog "Vollbild"
				Exit Do
		End Select
	Loop
End Sub

Sub Googlemaps
	Dim  URL
	BreiteGeo = grad2decimal(Breite)
	LaengeGeo = grad2decimal (Laenge)
	URL = "http://maps.google.de/?q=" & BreiteGeo & "," & LaengeGeo
	
	Set wshshell = CreateObject("WScript.Shell")
	wshshell.Run URL
End Sub				

Sub Daten_schreiben
	FF_SetIPTC "Caption/Abstract", FF_GetControl ("Beschreib-fix", "edit_bild")	' IPTC schreiben
	FF_SaveIPTC ListeBilder(BldNummer)
	
	FF_LoadExif (ListeBilder(BldNummer))
	IF not FF_HasExifInFile (ListeBilder(BldNummer)) then		' Exif-Block fehlt noch
		FF_CreateExifInFile ListeBilder(BldNummer)
		FF_LoadExif (ListeBilder(BldNummer))					' nach Erzeugung Exif-Block erneutes Laden notwendig
	End If
	
	REM msgbox RatingStern & "      " & RatingProzent
	if Ratingflag = True Then			' Rating 0 wird in jedem Fall gesetzt, bei "alle weiteren Bilder" wird nur das erste Bild bearbeitet
		FF_SetExifTag "Rating", RatingStern
		FF_SetExifTag "RatingPercent", RatingProzent
	End If
	Ratingflag = False				' damit bei "alle weiteren Bilder" nur das erste Bild bearbeitet wird
	
	If FF_GetControl ("Beschreib-fix","bool_exif") = "1" Then	' IPTC-Beschreibung auch in den EXIF-Block
		FF_SetExifTag "ImageDescription", FF_GetControl("Beschreib-fix", "edit_bild")
	End If
	FF_SaveExif ListeBilder(BldNummer)
	if  Version_equal_or_better("3.50.11") then
		FF_UpdateThumbDB (ListeBilder(BldNummer)) 
	End if
	if FF_GetControl ("Beschreib-fix","bool_jpeg") = "1" Then	' JPEG-Beschreibung
		FF_LoadImage ListeBilder(BldNummer)
		Jpeg_Kommentar = FF_GetJPGComment
		if Jpeg_Kommentar <> "" and Jpeg_Kommentar <> FF_GetControl ("Beschreib-fix", "edit_bild") Then
			x = MsgBox ("Der Jpeg-Kommentar hat folgenden Inhalt:" & vbNewLine & vbNewLine & Jpeg_Kommentar & vbNewLine & vbNewLine & "berschreiben?", 36)
			if x = vbNo Then
				Exit Sub
			End If
		End If
		
		dim y
		FF_SetJPGComment FF_GetControl("Beschreib-fix", "edit_bild")
		FF_SaveImage ListeBilder(BldNummer), 0			' speichert mit voreingestellter FF-Qualitt
	End If
	' Texthistorie
	If FF_GetControl ("Beschreib-fix", "edit_bild") <> FF_GetControl ("Beschreib-fix", "edit_hist1") Then
		FF_SetControl "Beschreib-fix", "edit_hist3", FF_GetControl ("Beschreib-fix", "edit_hist2")
		FF_SetControl "Beschreib-fix", "edit_hist2", FF_GetControl ("Beschreib-fix", "edit_hist1")
		FF_SetControl "Beschreib-fix", "edit_hist1", FF_GetControl ("Beschreib-fix", "edit_bild")
	End If
End Sub

Sub RegLesen
	FF_SetControl "Beschreib-fix","edit_fest", FF_GetProfile(RegSchluessel,"festspeicher")
	FF_SetControl "Beschreib-fix","edit_hist1", FF_GetProfile(RegSchluessel,"histo1")
	FF_SetControl "Beschreib-fix","edit_hist2", FF_GetProfile(RegSchluessel,"histo2")
	FF_SetControl "Beschreib-fix","edit_hist3", FF_GetProfile(RegSchluessel,"histo3")
	FF_SetControl "Beschreib-fix","bool_exif", FF_GetProfile(RegSchluessel,"option_exif")
	FF_SetControl "Beschreib-fix","bool_jpeg", FF_GetProfile(RegSchluessel,"option_jpg")
	
End Sub	
Sub RegSchreiben
	' Registry schreiben
	FF_WriteProfile RegSchluessel,"festspeicher", FF_GetControl ("Beschreib-fix","edit_fest")
	FF_WriteProfile RegSchluessel,"histo1", FF_GetControl ("Beschreib-fix","edit_hist1")
	FF_WriteProfile RegSchluessel,"histo2", FF_GetControl ("Beschreib-fix","edit_hist2")
	FF_WriteProfile RegSchluessel,"histo3", FF_GetControl ("Beschreib-fix","edit_hist3")
	FF_WriteProfile RegSchluessel,"option_exif", FF_GetControl ("Beschreib-fix","bool_exif")
	FF_WriteProfile RegSchluessel,"option_jpg", FF_GetControl ("Beschreib-fix","bool_jpeg")
End Sub

Function bname (pfad)
	bname = Right(Pfad, Len (Pfad) - InStrRev(Pfad, "\",-1, 1))
End Function

'********************************************
'* grad2decimal wandelt  ' " in dezimal
'********************************************
function grad2decimal(ByVal p_Str)
	dim l_Richtung
	dim l_Pos
	dim l_Wert

	if p_Str<>"" then
		p_Str=replace(p_Str,".",",",1)
		l_Richtung=left(p_Str,1)
		p_Str=ltrim(right(p_Str,len(p_Str)-1))
		l_Pos=instr(p_Str,"")
		'msgbox l_Wert
		l_Wert=1.0*(left(p_Str,l_Pos-1))
		p_Str=ltrim(right(p_Str,len(p_Str)-l_Pos))
		l_Pos=instr(p_Str,"'")
		l_Wert=l_Wert + (left(p_Str,l_Pos-1))/60
		p_Str=ltrim(right(p_Str,len(p_Str)-l_Pos))
		l_Pos=instr(p_Str,"""")
		l_Wert=l_Wert + (left(p_Str,l_Pos-1))/3600
		Select Case l_Richtung
			Case "s", "S", "w", "W"
				grad2decimal="-" & replace(FormatNumber(l_Wert,6),",",".",1)
			case Else
				grad2decimal=replace(FormatNumber(l_Wert,6),",",".",1)
		End Select
	else
		grad2decimal=""
	end if

end function

Function DelPartString (Startstring, Delstring)
	' lscht aus der Zeichekette 'Startstring' die Zeichenkette 'Delstring'
	' es wird nur das erste Vorkommen von 'Delstring' bercksichtigt
	Dim i
	i = InStr (Startstring, Delstring)
	if i = 0 then Exit Function
	DelPartstring = Left (Startstring, i - 1) & Mid (Startstring, i + Len (Delstring))
End Function

Sub Versionskontrolle
	if not Version_equal_or_better("3.02.00") then			' Versionskontrolle
		 Msgbox "Es ist mindestens die FF-Version 3.02 erforderlich. Das Script wird beendet."
		 Exit Sub
	End if
End Sub
Function Version_equal_or_better(p_Vers)
	Dim l_VersNr
	l_VersNr=split(p_Vers,".")
	version_equal_or_better=(FF_GetMajor*1000+FF_GetMinor+FF_GetBuild/1000 >= l_VersNr(0)*1000+l_VersNr(1)+l_VersNr(2)/1000)
End Function

Sub Get_Dialogunits(byRef p_XUnits,byRef p_YUnits)
    ' ermittelt die Dialogeinheiten des aktuellen Bildschirms
    ' bergibt in den bergabeparametern die Werte fr die Horizontale und Vertikale
    const SM_CXSCREEN=0
    const SM_CYSCREEN=1
    p_XUnits=FF_GetSystemMetrics(SM_CXSCREEN)*4\(CDbl(FF_GetDialogBaseUnits) Mod &h10000&)
    p_YUnits=FF_GetSystemMetrics(SM_CYSCREEN)*8\(CDbl(FF_GetDialogBaseUnits)  \  &h10000&)
End Sub

Function Version_equal_or_better(p_Vers)
     Dim l_VersNr
     l_VersNr=split(p_Vers,".")
     version_equal_or_better=(FF_GetMajor*1000+FF_GetMinor+FF_GetBuild/1000 >= l_VersNr(0)*1000+l_VersNr(1)+l_VersNr(2)/1000)
End Function

Sub Help
	if not KBvorhanden then	call KurzbeschreibungLesen
	if KBvorhanden then
		set WshShell =  CreateObject("WScript.Shell")
		WshShell.Popup Kurzbeschreibung,,"Info"
	else
		msgbox "Keine Kurzbeschreibung gefunden!",,"Meldung"
	end if
End Sub

'** Start Kurzbeschreibung *********************************
'Beschreib-fix - Bildbeschreibung in den Meta-Daten hinterlegen
'=================================================
'
'Das Script speichert eine Beschreibung in das IPTC-Feld "Caption/Abstract". 

'Optional wird der selbe Text auch in das Exif-Feld "ImageDescription" gespeichert. Der Inhalt dieses Feldes wird unter dem Eingabefeld angezeigt, ist aber nicht direkt bearbeitbar. Als weitere Option kann die Beschreibung auch als Jpeg-Kommentar abgelegt werden.
'
'ber drei dynamische Speicher (1-3) und einen Festspeicher (F) knnen die zuletzt verwendeten Beschreibungstexte erneut genutzt werden. Der aktuelle Inhalt der Speicher steht auch nach einem Neustart des Scirptes wieder zur Verfgung.
'
'<Speichern & weiter> hinterlegt die Beschreibung in den Meta-Daten es Bildes, bernimmt den Text in den dynamischen Speicher 1 des Scripts und ruft das nchste Bild auf.
'
'Mit der Option <alle weiteren Bilder>  werden - nach einer Sicherheitsabfrage - ab dem aktuellen Bild alle weiteren Bilder mit der selben Beschreibung versehen. 
'
'Neben der Bildbeschreibung kann zum Zwecke der Bildbewertung auch der Ratingstatus (Sterne / Prozentangabe) gesetzt werden. Wurde die Option <alle weiteren Bilder> gewhlt, dann wird der Rating-Status trotzdem nur bei dem ersten Bild gesetzt.
'
'Die Farb-Indikatoren zeigen, ob fr das aktuelle Bild aufgrund seines Formates das Speichern in den IPTC- und Exif-Daten bzw. im Jpeg-Kommentar technisch mglich ist -Grn-, oder nicht -Rot-.
' 
'<Vollbild> ruft eine grere Darstellung des aktuellen Bildes auf.
'
'Enthlt das aktuelle Bild geografische Koordinaten, kann ber <Karte> der Standort in Googel Maps aufgerufen werden
' 
'[Andreas Kleingnther  09/2011  01/2014  04/2014 05/2016]
'** Ende Kurzbeschreibung **********************************

Sub KurzbeschreibungLesen
	on error resume next
	Const ForReading = 1
	Dim Skript, Anfang, Ende, Zeile
	
	Set objFS = CreateObject("Scripting.FileSystemObject")	 ' FileSystemObject
	Set Skript = objFS.OpenTextFile(FF_GetScriptPath & "\" & SkriptName, ForReading, False)
	
	if err.number = 53 then
		msgbox "Wahrscheinlich wurde der Originalskriptname " & """" & SkriptName & """" & " abgendert." & vbNewLine & _
		   	"Die Kurzbeschreibung kann daher nicht angezeigt werden.",,"Meldung"
		exit sub
	end if
	
	Do While Skript.AtEndOfStream <> True
		Zeile = Skript.ReadLine
		
		if instr(Zeile,"** Ende Kurzbeschreibung") > 0 then Ende = true
		if Ende then exit do
		
		if Anfang then Kurzbeschreibung = Kurzbeschreibung & mid(Zeile,2) & vbNewLine
		if len(Zeile)-1 > LaengeMax then LaengeMax = len(Zeile)-1
		
		if instr(Zeile,"** Start Kurzbeschreibung") > 0 then Anfang = true
	Loop
	if Anfang and Ende then KBvorhanden = true
	Skript.Close
	 On Error GoTo 0
End Sub

Sub Dialog
	'** Start Dialog Beschreib-fix **
	FF_AddDialog "Beschreib-fix",293,262
	FF_AddControl "Beschreib-fix"," Bild-Beschreibung  /  Rating","GROUP",93,127,194,66
	FF_AddControl "Beschreib-fix","combo_quelle","COMBO",98,4,105,10
	FF_AddControl "Beschreib-fix"," feste (F) und flexible (1-3) Beschreibungstexte","GROUP",93,19,194,91
	FF_AddControl "Beschreib-fix","img_nachfolgend","IMAGE",13,3,62,62
	FF_AddControl "Beschreib-fix","rahmen3","STATIC",12,2,64,64
	FF_SetControlStyle "Beschreib-fix","rahmen3",7
	FF_AddControl "Beschreib-fix","img_back","IMAGE",1,79,86,86
	FF_AddControl "Beschreib-fix","img_akut","IMAGE",4,82,80,80
	FF_AddControl "Beschreib-fix","img_erledigt","IMAGE",13,179,62,62
	FF_AddControl "Beschreib-fix","rahmen4","STATIC",12,178,64,64
	FF_SetControlStyle "Beschreib-fix","rahmen4",7
	FF_AddControl "Beschreib-fix","edit_bild","EDIT",98,140,169,16
	FF_AddControl "Beschreib-fix","edit_hist1","EDIT",98,89,170,16
	FF_AddControl "Beschreib-fix","edit_hist2","EDIT",98,69,170,16
	FF_AddControl "Beschreib-fix","edit_hist3","EDIT",98,49,170,16
	FF_AddControl "Beschreib-fix",">","BUTTON",213,227,33,11
	FF_AddControl "Beschreib-fix","<","BUTTON",134,227,33,11
	FF_AddControl "Beschreib-fix",">> +10","BUTTON",250,227,33,11
	FF_AddControl "Beschreib-fix","<< -10","BUTTON",98,227,33,11
	FF_AddControl "Beschreib-fix","sledit_bildzahl","SLEDIT",177,228,27,10
	FF_SetControlStyle "Beschreib-fix","sledit_bildzahl",1
	FF_AddControl "Beschreib-fix","Beenden","BUTTON",250,246,33,11
	FF_AddControl "Beschreib-fix","&Speichern && weiter","BUTTON",233,199,50,20
	FF_SetControlStyle "Beschreib-fix","&Speichern && weiter",1
	FF_AddControl "Beschreib-fix","?","BUTTON",262,5,21,11
	FF_AddControl "Beschreib-fix","&1","BUTTON",272,92,11,11
	FF_AddControl "Beschreib-fix","&2","BUTTON",272,71,11,11
	FF_AddControl "Beschreib-fix","&3","BUTTON",272,52,11,11
	FF_AddControl "Beschreib-fix","bool_exif","BOOL",189,164,8,8
	FF_AddControl "Beschreib-fix","IPTC bernehmen fr Exif","STATIC",201,162,63,11
	FF_AddControl "Beschreib-fix","edit_fest","EDIT",98,29,170,16
	FF_AddControl "Beschreib-fix","&F","BUTTON",272,33,11,11
	FF_AddControl "Beschreib-fix","->F","BUTTON",272,143,11,11
	FF_AddControl "Beschreib-fix","Vollbild","BUTTON",128,204,25,11
	FF_AddControl "Beschreib-fix","Karte","BUTTON",98,204,25,11
	FF_AddControl "Beschreib-fix","IPTC bernehmen fr Jpeg-Kommentar","STATIC",98,247,95,11
	FF_AddControl "Beschreib-fix","bool_jpeg","BOOL",194,249,8,8
	FF_SetControlStyle "Beschreib-fix","bool_jpeg",16384
	FF_AddControl "Beschreib-fix","img_iptc","IMAGE",113,117,10,6
	FF_AddControl "Beschreib-fix","|IPTC","STATIC",99,115,12,11
	FF_SetControlStyle "Beschreib-fix","|IPTC",1
	FF_AddControl "Beschreib-fix","img_exif","IMAGE",148,117,10,6
	FF_AddControl "Beschreib-fix","|Exif","STATIC",134,115,12,11
	FF_SetControlStyle "Beschreib-fix","|Exif",1
	FF_AddControl "Beschreib-fix","img_jpeg","IMAGE",185,117,10,6
	FF_AddControl "Beschreib-fix","Jpeg-K.","STATIC",165,115,18,11
	FF_SetControlStyle "Beschreib-fix","Jpeg-K.",1
	FF_AddControl "Beschreib-fix","edit_exif","EDIT",98,173,169,16
	FF_SetControlStyle "Beschreib-fix","edit_exif",2048
	FF_AddControl "Beschreib-fix","IPTC","STATIC",253,132,14,8
	FF_AddControl "Beschreib-fix","alle_bool","BOOL",219,206,8,8
	FF_AddControl "Beschreib-fix","alle weiteren Bilder","STATIC",170,204,46,11
	FF_AddControl "Beschreib-fix","rat1_img","IMAGE",102,159,9,9
	FF_AddControl "Beschreib-fix","rat2_img","IMAGE",111,159,9,9
	FF_AddControl "Beschreib-fix","rat3_img","IMAGE",120,159,9,9
	FF_AddControl "Beschreib-fix","rat4_img","IMAGE",129,159,9,9
	FF_AddControl "Beschreib-fix","rat5_img","IMAGE",138,159,9,9
	FF_AddControl "Beschreib-fix","rat_static","STATIC",149,158,18,11
	FF_AddControl "Beschreib-fix",Version,"STATIC",238,4,20,11
	'** End Dialog Beschreib-fix **
	
	'Tooltipps
	If Version_equal_or_better("3.30.06") Then		' Tooltips erst ab 3.30 beta 6
		FF_SetControlTooltip "Beschreib-fix","img_iptc", "GRN: IPTC-Daten knnen geschrieben werden" & vbNewLine & "ROT: IPTC-Daten knnen nicht geschrieben werden"
		FF_SetControlTooltip "Beschreib-fix","img_exif", "GRN: Exif-Daten knnen geschrieben werden" & vbNewLine & "ROT: Exif-Daten knnen nicht geschrieben werden"
		FF_SetControlTooltip "Beschreib-fix","img_jpeg", "GRN: JPEG-Kommentar kann geschrieben werden" & vbNewLine & "ROT: JPEG-Kommentar kann nicht geschrieben werden"
		FF_SetControlTooltip "Beschreib-fix","alle_bool", "Alle weiteren Bilder erhalten in einem Rutsch die selbe Bild-Beschreibung. Der Ratingstatus wird nur fr das erste Bild gesetzt." 
		FF_SetControlTooltip "Beschreib-fix", "Karte", "Zeigt den Aufnahmeort des Bildes in Google Maps"
		FF_SetControlTooltip "Beschreib-fix","->F", "Beschreibungstext in den Festspeicher <F> bernehmen"
		FF_SetControlTooltip "Beschreib-fix","&F", "Text in das Feld <Bild-Beschreibung> bernehmen"
		FF_SetControlTooltip "Beschreib-fix","&1", "Text in das Feld <Bild-Beschreibung> bernehmen"
		FF_SetControlTooltip "Beschreib-fix","&2", "Text in das Feld <Bild-Beschreibung> bernehmen"
		FF_SetControlTooltip "Beschreib-fix","&3", "Text in das Feld <Bild-Beschreibung> bernehmen"
	End If
	
	'FF_SetControl "Beschreib-fix","combo_quelle", " "
	FF_SetControl "Beschreib-fix","combo_quelle", "Computer-Ansicht, alle Bilder"
	FF_SetControl "Beschreib-fix","combo_quelle", "Computer-Ansicht, markierte Bilder"
	FF_SetControl "Beschreib-fix","combo_quelle", "Bilderliste, alle Bilder"
	FF_SetControl "Beschreib-fix","combo_quelle", "Bilderliste, markierte Bilder"
	
	FF_SetControl "Beschreib-fix", "rat1_img", FF_GetScriptPath & "\stern_leer.png"
	FF_SetControl "Beschreib-fix", "rat2_img", FF_GetScriptPath & "\stern_leer.png"
	FF_SetControl "Beschreib-fix", "rat3_img", FF_GetScriptPath & "\stern_leer.png"
	FF_SetControl "Beschreib-fix", "rat4_img", FF_GetScriptPath & "\stern_leer.png"
	FF_SetControl "Beschreib-fix", "rat5_img", FF_GetScriptPath & "\stern_leer.png"
End Sub
